html{
    height: 100%;
}

.box {
    margin-bottom: 30px;
    background: #fff;
    color: #333;
}

.middle-gray{
    background: #ccc;
}

.card h4 {
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}

.preview-container{
    padding: 40px 0;
    min-height: 220px;
}

.info-box{
    position: relative;
    padding:20px 15px 0 15px;
}

.bg-branded{
    background: #0097D6;
} 

.bg-dark{
    background: #008FCC;
}

.action-box{

}

.no-data {
    margin: 40px 0;
    text-align: center;
}

.table a {
    margin-left: 0;
    overflow: hidden;
    display: block;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.ace-editor{
    height: calc(100vh - 100px);
    margin: 0 -15px;
}

figure.icon-preview {
    height: 25px;
    width: 25px;
    float: left;
    margin: 0 5px 0 0;
    border-radius: 4px;
    border: 1px solid #f6f6f6;
}

.app-header figure.icon-preview {
    height: 40px;
    width: 40px;    
}

.no-data img {
    width: 300px;
    margin: auto;
}

.app-header {
    margin: 10px 0;
    padding: 0 0 5px 0;
}

.app-header h5{
    padding-top: 10px;
}
.btn-basic, 
.btn-basic:hover,
.btn-basic:focus{
    box-shadow: none;
    border-radius: 0;
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    color: #2196F3;
    font-weight: 400;
}

.btn-basic:hover{
    background: #f6f6f6;
}

.action-box {
    border-top: 1px solid #e7e7e7;
}

.turbolinks-progress-bar {
  visibility: hidden;
}
.grid{
    position: relative;
}
.grid-item { width: 33%; padding: 0 1%;}

@media (max-width: 1120px) {
  .cellContainer { transform: scale(0.8) }
}

@media (max-width: 980px) {
  .cellContainer { transform: scale(1) }
  .grid-item { width: 50%; padding: 0 1%;}
}

@media (max-width: 760px) {
    .grid-item { width: 100%; padding: 0 1%;}
}

/*
Login
*/

body.login{
    height: 100%;
    background: url(../images/sample_bg.png) no-repeat bottom right ;
}
.login .md-form input {
    border: 1px solid #e7e7e7;
    border-radius: 3px;
    padding: 16px 0 3px 0;
    text-indent: 10px;
    margin-top: 10px;
}

.login .md-form input:focus{
    border: 1px solid #4285F4;
    box-shadow: none;
}
    
.login  .md-form label{
    left: 10px;
}
.login  .md-form label.active{
    transform: translateY(-50%);
}

.login .logo img{
    height: 40px;
    margin: 15px auto 30px auto;
    display: block;
}
.login-box{
    margin-top:10%;
}

.login .btn-branded{
    display: block;
    width: 100%;
    margin: 0;
    background: #0097D6;
}

header, .main-container, footer {
  padding-left: 265px;
}


@media only screen and (max-width : 1480px) {
  header, .main-container, footer {
    padding-left: 15px;
  }
  
  #slide-out{
      transform: translateX(-100%);
  }
}